package jalview.ws2.operations;

import java.io.IOException;

import jalview.datamodel.AlignmentI;
import jalview.ws2.WSJob;
import jalview.ws2.WebServiceI;
import jalview.ws2.gui.AlignmentMenuBuilder;
import jalview.ws2.gui.MenuEntryProviderI;

public class AlignmentOperation extends AbstractOperation
{
  public static interface AlignmentResultSupplier {
    public AlignmentI getAlignment(WSJob job) throws IOException;
  }
  
  private AlignmentResultSupplier alignmentSupplier;

  public AlignmentOperation(WebServiceI service, AlignmentResultSupplier alignmentSupplier)
  {
    super(service, "Alignment");
    this.alignmentSupplier = alignmentSupplier;
  }

  @Override
  public MenuEntryProviderI getMenuBuilder()
  {
    return new AlignmentMenuBuilder(this);
  }
  
  public AlignmentResultSupplier getAlignmentSupplier()
  {
    return alignmentSupplier;
  }
}
